- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Namespaces | Macros | Typedefs | Functions
gfor.h File Reference
`#include <af/defines.h>`
`#include <af/seq.h>`

Go to the source code of this file.

## Namespaces
| af

## Macros
#define | gfor(var, ...) for (var = af::seq(af::seq(__VA_ARGS__), true); af::gforToggle(); )

## Typedefs
typedef array(* | batchFunc_t) (const array &lhs, const array &rhs)

## Functions
AFAPI bool | gforToggle ()
AFAPI bool | gforGet ()
AFAPI void | gforSet (bool val)
AFAPI array | batchFunc (const array &lhs, const array &rhs, batchFunc_t func)

## Macro Definition Documentation

#define gfor | ( |  | var,
|  |  | ...
| ) |  | for (var = af::seq(af::seq(__VA_ARGS__), true); af::gforToggle(); )

Examples:
  convolve.cpp, fft.cpp, histogram.cpp, kmeans.cpp, rainfall.cpp, and vectorize.cpp.